SBOPKG(8)

NOMBRE
sbopkg - el buscador de paquetes de SlackBuilds.org

SINOPSIS
sbopkg [opciones]

DESCRIPCIÓN
Sbopkg es una linea de comandos basada en la herramienta dialog para interactuar con el repositorio de SlackBuilds.org ("Sbo"), una colección de scripts de terceros para construir paquetes para Slackware.

  Instrucciones
Sbopkg su uso generalmente asume un entendemiento de SlackBuilds y el repositorio no oficial de SBo, especificamente. Para saber mas es recomendable leer https://www.slackbuilds.org/howto/ y también leer en https://www.slackwiki.com las páginas sobre SlackBuilds.

Para usar sbopkg , un archivo de configuración debe existir en /etc/sbopkg/sbopkg.conf. Una instalación inicial le proporcionará al usuario ese archivo, mientras que las actualizaciones añadirán un archivo /etc/sbopkg/sbopkg.conf.new el cual se fusionara o reemplazara las versiones antiguas. Ver sbopkg.conf(5) para mas información sobre el archivo de configuración.

Sbopkg debe ser iniciado como usuario root (ya que los SlackBuilds de SBo son escritos con la intención de ser iniciados como root). Ademas, es muy importante y recomendado usar la opción - con su . La razón es porque algunos SlackBuilds confían en que algunas herramientas estén disponibles en el PATH de root, generalmente cuando los scripts en /etc/profile.d han sido iniciados (p.e., texmf para construir paginas man), las cuales solamente están disponibles para shells de login, o de otra manera requieren un entorno root "mas real" del que solo es proporcionado por su. En cualquier caso, ejecutando sbopkg sin ningún argumento (o con solo -d, -f, o -V) lanzara la interfaz basada en dialog, y los menús proporcionados se explican por si mismos.

El menú principal permite al usuario sincronizarse con el repositorio SBo. Este es el primer paso que se debe tomar (después de la configuración) con una nueva instalación de sbopkg. Actualmente, el tamaño de una copia local del repositorio SBo, es aproximadamente de xxxSIZExxx. El menú principal también permite al usuario ver el ChangeLog de SBo, buscar actualizaciones potenciales de los paquetes SBo, desplegar el contenido del directorio de cache local donde los paquetes de código fuente son almacenados, mostrando siempre el log de construcción, y ver o buscar una copia local del repositorio SBo. Una vez que la función es elegida, el usuario puede escoger una categoría de software. Despues de escoger una categoria, el usuario puede entonces ver los diferentes paquetes de software disponibles en esa categoría dentro del repositorio SBo local. Al seleccionar un paquete, se mostrara otro menú permitiendo al usuario ver los archivos que vienen con el paquete, tales como los archivos README, SlackBuild, .info, o slack-desc . El usuario también puede editar el archivo .info y el archivo SlackBuild , los archivos editados se mantienen aún después de realizar una sincronización. Adicionalmente, el usuario puede escoger construir el SlackBuild original o el editado localmente, si está presente. Si se usa la interfaz dialog y si sbopkg encuentra un paquete construido para el software en particular en el directorio de SALIDA , entonces sbopkg añadirá automáticamente una nueva entrada de menú, permitiendo al usuario instalar el paquete si así lo elige. Alternativamente, el usuario puede elegir descargar automáticamente, construir o instalar individualmente los paquetes o varios de ellos en una cola. Finalmente, si KEEPLOG está establecido como YES en el archivo de configuración, se mantendrá un log permanente de las construcciones procesadas y será guardado. Ver sbopkg.conf(5) y localizar KEEPLOG y LOGFILE para mas detalles.

Alternativamente, sbopkg puede ser iniciado desde la linea de comandos sin utilizar la interfaz dialog . Ver la seccion OPCIONES para saber los comandos de opciones disponibles.

Sbopkg también tiene la capacidad de cargar, salvar y usar archivos de cola creados por el usuario. Estos archivos de cola, son archivos simples de texto con el nombre de una aplicación por linea. Por defecto, cuando un archivo de cola es cargado en la interfaz dialog, la aplicación es seleccionada o "ON" (habilitada/activada) Esto puede ser cambiado insertando un "-" enfrente del nombre de la aplicación en el archivo de cola. También, los archivos de cola pueden referenciar a otros archivos de cola cuando el primer caracter es una "@". Vea el documento README-queuefiles en el directorio de la documentación para mas información.

Algunas características de sbopkg utilizan aplicaciones binarias externas, como un paginador para ver los archivos de texto cuando sbopkg se esta iniciado desde la línea de comandos, y un editor de texto para los archivos .info o SlackBuild . Las funciones de paginación usan la variable de entorno PAGER y, si esa variable no esta definida, usará por defecto el comando more. Similarmente, las funciones de edición, las buscara en la variable EDITOR y usará por defecto vi. Si el usuario quiere que sbopkg use otro editor, como nano, entonces debe añadir la información necesaria en ~/.bashrc, /etc/profile, u otro archivo de configuración similar para exportar la variable EDITOR y con ésto sera suficiente.

OPCIONES

-b PAQUETE(s)/ARCHIVO(s) DE COLA
    Construye paquetes de el(los) argumento(s) pasados usando repositorio activo. Si esta especificado más de un paquete, deben de ser encerrados entre comillas o pueden ser escritos múltiples veces. Usando esta segunda forma, se pueden agregar opciones mediante una lista separada con dos puntos. Si aparecen espacios en blanco entre los dos puntos, deberán ser encerrados entre comillas.

    Por ejemplo:

        # sbopkg -b "foo bar"

    sera construido foo y luego bar.

    O

        # sbopkg -b app1:opt1="foo bar":opt2=baz -b app2:opt=mu

    sera construido app1 con las opciones "foo bar" y "baz", y app2 con la opción "mu".

    Los nombres de los archivos de colas pueden también ser usados. En este caso, todos los paquetes especificados en el archivo de cola serán construidos. En el desafortunado caso de que un token coincida con un un nombre de archivo de cola y un nombre de paquete (p.e., el usuario llamo un archivo de cola con el nombre de un paquete). sbopkg le preguntara al usuario cual deberá ser usado. Una forma de evitar esto es especificar el archivo de cola con la extensión .sqf . También, una mezcla de ambos paquetes y archivos de colas puede ser dada. Los tokens (nombres de paquetes o archivos de colas) son procesados en el orden que son especificados en la línea de comandos, y la orden de construcción especificada en los archivos de colas es retenida. Si un paquete es más especifico que otro, se pone en cola el primero que es encontrado.

-B  Procesa los paquetes o colas sin solicitar una confirmación.

-c  Muestra una lista de paquetes SBo instalados y las actualizaciones potenciales.

-d PAQUETE(s)/COLA(s)
    Descarca los archivos fuente de el(los) argumento(s) desde la URL especificada en el repositorio activo.

    Vea la opción -b para mas detalles, aparte de construir, estas dos opciones operan similarmente.

-D DIRECTORIO
    Especifica manualmente la ruta entera hasta el DIRECTORIO
     que contiene el repositorio SBo local.

-e ask|continue|stop
    Especifica lo que sbopkg debe hacer cuando encuentra un error durante la construcción de un paquete. Opciones validas son:

    ask: Este es el comportamiento por defecto, preguntando al usuario que hacer.

    continue: Ignora el error y continua procesando (como si la respuesta del usuario hubiese sido "Si" a todas las preguntas).

    stop: Para el proceso (actúa como si el usuario hubiera respondido "No" a todas las preguntas).

-f ARCHIVO
    Sobreescribe el archivo de configuración por defecto, /etc/sbopkg/sbopkg.conf, con ARCHIVO.

-g PAQUETE(s)
    Búsqueda general de PAQUETE(s) sin diferenciar entre mayúsculas y minúsculas donde el argumento es automáticamente *s. Si mas de un glob (caracter comodín) es especificado, debe ser encerrado entre comillas o la bandera -g debe ser usada múltiples veces, una para cada glob.

    Por ejemplo:

        # sbopkg -g "foo bar"

    devolverá una lista de paquetes con foo o bar en sus nombres.

-h  Muestra la ayuda.

-i PAQUETE(s)/ARCHIVO(s) DE COLA(s)
    Construye e instala los paquetes de el(los) argumento(s) del repositorio activo.

    Ver la opcion -b para mas detalles, ya que, aparte de la instalación, estas dos opciones operan similarmente.

    Considere cuidadosamente el orden de los paquetes listados, el usuario debe ser capaz de construir e instalar las dependencias en el orden correcto antes de que la aplicación final sea construida e instalada.

-k  Cuando se usa junto con -b, -d, o -i, esta opción le dice a sbopkg que omita (p.e., no construir) cualquier paquete que encuentre ya instalado.

    Por favor, note que solo se lleva a cabo la comparación del nombre, asique cuando esta opción es especificada sbopkg también omitirá la construcción de diferentes versiones de los paquetes instalados.

-l  Muestra el ChangeLog de SBo y sale.

-o  Lista los archivos de fuente cacheados de los paquetes actualmente instalados, los cuales se consideran obsoletos, y que opcionalmente pueden ser borrados.

    Los archivos fuente son obsoletos cuando el campo DOWNLOAD de los archivos .info ya no los refiere mas, lo cual es algo que puede pasar luego de sincronizar el repositorio local.

    Por favor, note que solo el actual repositorio activo es usado para identificar las fuentes obsoletas, así que si el usuario construye paquetes con repositorios diferentes (p.e., para diferentes versiones de Slackware) los archivos fuente solo serán listados en el "otro" repositorio.

-P  Lista los archivos de paquete cacheados que no están actualmente instalados en el sistema y opcionalmente pueden ser borrados.

-p  Lista paquetes SBo instalados.

-q  Habilita el "quiet mode" (modo silencio). Cuando esta bandera esta especificada, la salida de algunas opciones de línea de comandos son minimizadas.

-R  Cuando es combinado con -b, -d, or -i, Muestra todos los archivos README (LEEME) de los paquetes a construir antes de empezar la construcción. Esto es útil cuando el usuario quiere hacer una comprobación final. Cuando se combina con -p, muestra el archivo README de todos los paquetes instalados en el repositorio activo.

-r  Resincroniza el repositorio local con SBo y sale.

-s PAQUETE(s)
    Búsqueda especifica de PAQUETE(s) diferenciando mayúsculas y minúsculas y, si lo encuentra, muestra los archivos README, SlackBuild, .info, y slack-desc en el orden en el que cada PAQUETE fue encontrado, usando $PAGER. Si mas de un patrón es especificado, deberá ser citado o se debe usar la bandera -s múltiples veces, una para cada patrón.

    Por ejemplo:

        # sbopkg -s "foo bar"

    mostrara todos los archivos antes mencionados para los paquetes cuyos nombres son exactamente foo o bar.

    Nótese que los metacaracteres de la shell pueden ser proporcionados en los argumentos. Por ejemplo,

        # sbopkg -s '*[Oo]pen*'

    devolverá todos los paquetes con 'open' o 'Open' en cualquier parte del nombre. Si devuelve muchas aplicaciones, se le presentaran al usuario como un menú en el cual seleccionarlas.

-u  Busca una actualización para sbopkg y sale.

-V VERSION
    Establece el repositorio y la rama a usar.

    Para una lista valida de ramas, use sbopkg de la siguiente manera

        # sbopkg -V ?

    Ver la pagina de manual sbopkg.conf(5) para mas información sobre el repositorio "local".

    El formato de la VERSION es: repositorio/rama (p.e., SBo/13.1). Si el repositorio es omitido, sbopkg buscara la rama especifica en el repositorio por defecto. Si este intento falla, sbopkg buscara la primera rama que coincida en cualquier repositorio.

-v  Imprime la versión actual de sbopkg en stdout.

FILES

/etc/sbopkg/sbopkg.conf
    Archivo usado para configurar las opciones por defecto de todo el sistema,

~/.sbopkg.conf
    Archivo para sobreescribir todas las opciones de configuración.

/etc/sbopkg/renames.d/*.renames
    Archivos que listan el software en el repositorio SBo que serán renombrados. Vea el documento README-renames en el directorio de documentación de sbopkg para mas información.

/etc/sbopkg/repos.d/*.repo
    Archivos para varios tipos de repositorios de sbopkg . Vea el documento README-repos en el directorio de la documentación de sbopkg para mas información.

AUTORES
Willy Sudiarto Raharjo <willysr@sbopkg.org> Chess Griffin <chess@chessgriffin.com>

Mauro Giachero <mauro.giachero@gmail.com>

slakmagik <slakmagik@gmail.com>

VER TAMBIEN
dialog(1), more(1), removepkg(8), rsync(1), sbopkg.conf(5), su(1), upgradepkg(8), vi(1), /usr/doc/sbopkg-xxxVERSIONxxx/*

TRADUCCIÓN
Esta traducción ha sido realizada por Pablo Castaño Fernández <waruto@hurricane-project.org> el 17 de Enero de 2011.

Actualizado por Dhaby Xiloj <slack.dhabyx@gmail.com> el 06 de Enero de 2016.